### Method

# Gtk Widget get_style_context

deprecated: 4.10

#### Declaration [src]

    GtkStyleContext*
    gtk_widget_get_style_context (
      GtkWidget* widget
    )

#### Description [src]

Returns the style context associated to the widget.

The returned object is guaranteed to be the same for the lifetime of `widget`.

Deprecated since: 4.10

Style contexts will be removed in GTK 5.

#### Return value

Type: `GtkStyleContext`

The widgets style context.

The returned data is owned by the instance.